Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.CertVerifyResult Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (cert, is_ca, is_trusted, response, response_effect_time_range, revoke_time, cert_status, reason, cert_check_time, exist_signature_vri_creation_time, signature_vri_creation_time, exist_response_signature_vri_creation_time, response_signature_vri_creation_time, response_info_location)
| Constructor, with parameters. More...
| Set (cert, is_ca, is_trusted, response, response_effect_time_range, revoke_time, cert_status, reason, cert_check_time, exist_signature_vri_creation_time, signature_vri_creation_time, exist_response_signature_vri_creation_time, response_signature_vri_creation_time, response_info_location)
| Set value. More...

## Public Attributes
| cert
| A certificate contnet.
| cert_check_time
| The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
| cert_status
| Certificate status. Please refer to values starting from FSDK.CertVerifyResult.e_CertStatusValid and this should be one of these values.
| exist_response_signature_vri_creation_time
| Indicate if creation time of response signature's VRI exists.
| exist_signature_vri_creation_time
| Indicate if creation time of siganture's VRI exists.
| is_ca
| Indicate if the certificate is a CA certificate.
| is_trusted
| Indicate if the certificate is truscted by user.
| reason
| Revocation reason of the certificate. Please refer to values starting from FSDK.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
| response
| A response for the certificate.
| response_effect_time_range
| The time range when the response takes effect.
| response_info_location
| Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSDK.CertVerifyResult.e_LocationNotSet and this should be one of these values.
| response_signature_vri_creation_time
| Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
| revoke_time
| Revoked time got from the response.
| signature_vri_creation_time
| Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.

## Static Public Attributes
static | e_CertStatusExpired
| This means certificate is expired.
static | e_CertStatusRevoked
| This means certificate is revoked.
static | e_CertStatusUnknown
| This means certificate status is unknown.
static | e_CertStatusValid
| Enumeration for certificate status. More...
static | e_LocationDSS
| Response information is found in DSS dictionary.
static | e_LocationNotSet
| Enumeration for response information location. More...
static | e_LocationOnline
| Response information is got by online request.
static | e_LocationSignature
| Response information is found in signature content.
static | e_ReasonAACompromise
| Revocatoin reason: AA compromise.
static | e_ReasonAffiliationChanged
| Revocatoin reason: affiliation changed.
static | e_ReasonCACompromise
| Revocatoin reason: CA compromise.
static | e_ReasonCertificateHold
| Revocatoin reason: certificate hold.
static | e_ReasonCessationOfOperation
| Revocatoin reason: cessation of operation.
static | e_ReasonKeyCompromise
| Revocatoin reason: key compromise.
static | e_ReasonNoStatus
| Enumeration for revocation reason for a certificate. More...
static | e_ReasonPrivilegeWithDrawn
| Revocatoin reason: privilege with drawn.
static | e_ReasonRemoveFromCRL
| Revocatoin reason: remove from CRL.
static | e_ReasonSuperseded
| Revocatoin reason: superseded.
static | e_ReasonUnspecified
| Revocatoin reason: unspecified reason.

## Detailed Description

This class represents the verify result for a certificate.

## Member Function Documentation

## ◆ constructor()

FSDK.CertVerifyResult.constructor | ( | cert | ,
|  | is_ca | ,
|  | is_trusted | ,
|  | response | ,
|  | response_effect_time_range | ,
|  | revoke_time | ,
|  | cert_status | ,
|  | reason | ,
|  | cert_check_time | ,
|  | exist_signature_vri_creation_time | ,
|  | signature_vri_creation_time | ,
|  | exist_response_signature_vri_creation_time | ,
|  | response_signature_vri_creation_time | ,
|  | response_info_location |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FSDK.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FSDK.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSDK.CertVerifyResult.e_LocationNotSet and this should be one of these values.

## ◆ Set()

FSDK.CertVerifyResult.Set | ( | cert | ,
|  | is_ca | ,
|  | is_trusted | ,
|  | response | ,
|  | response_effect_time_range | ,
|  | revoke_time | ,
|  | cert_status | ,
|  | reason | ,
|  | cert_check_time | ,
|  | exist_signature_vri_creation_time | ,
|  | signature_vri_creation_time | ,
|  | exist_response_signature_vri_creation_time | ,
|  | response_signature_vri_creation_time | ,
|  | response_info_location |
| ) |  |

Set value.

Parameters

  [in] | cert | A certificate contnet.
  [in] | is_ca | Indicate if the certificate is a CA certificate.
  [in] | is_trusted | Indicate if the certificate is trusted by user.
  [in] | response | A response for the certificate.
  [in] | response_effect_time_range | The time range when the response takes effect.
  [in] | revoke_time | Revoked time got from the response.
  [in] | cert_status | Certificate status. Please refer to values starting from FSDK.CertVerifyResult.e_CertStatusValid and this should be one of these values.
  [in] | reason | Revocation reason of the certificate. Please refer to values starting from FSDK.CertVerifyResult.e_ReasonNoStatus and this should be one of these values.
  [in] | cert_check_time | The actual time when this certificate is checked validity. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_signature_vri_creation_time | Indicate if creation time of siganture's VRI exists.
  [in] | signature_vri_creation_time | Creation time of a signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | exist_response_signature_vri_creation_time | Indicate if creation time of response signature's VRI exists.
  [in] | response_signature_vri_creation_time | Creation time of response signature's VRI. utc_hour_offset and utc_minite_offset of this time object are ignored.
  [in] | response_info_location | Response information (as revocation information) location where certificate response can be found. Please refer to values starting from FSDK.CertVerifyResult.e_LocationNotSet and this should be one of these values.

Returns
  None.

## Member Data Documentation

## ◆ e_CertStatusValid

FSDK.CertVerifyResult.e_CertStatusValid
| static

Enumeration for certificate status.

Values of this enumeration should be used alone.

This means certificate is valid.

## ◆ e_LocationNotSet

FSDK.CertVerifyResult.e_LocationNotSet
| static

Enumeration for response information location.

Values of this enumeration should be used alone.

Location is not set.

## ◆ e_ReasonNoStatus

FSDK.CertVerifyResult.e_ReasonNoStatus
| static

Enumeration for revocation reason for a certificate.

Values of this enumeration should be used alone.

Revocatoin reason: ceritifcate has no status.